### Function

# Qmi nas_read_string_from_network_description_encoded_array

since: 1.24.6

#### Declaration [src]

    gchar*
    qmi_nas_read_string_from_network_description_encoded_array (
      QmiNasNetworkDescriptionEncoding encoding,
      const GArray* array
    )

#### Description [src]

Converts the encoded data in `array` to UTF-8 and returns a newly allocated NUL-terminated string.

Available since: 1.24.6

#### Parameters

`encoding`

  Type: `QmiNasNetworkDescriptionEncoding`

  A `QmiNasNetworkDescriptionEncoding`.

`array`

  Type: An array of `guint8`

  A `GArray` with the encoded data.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

The UTF-8 encoded string, or `NULL` if an error happened during the conversion. The returned value should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.